<?php
ini_set('display_errors', 1);

define("ADMIN", true);
require_once("../../../common/lib.php");
require_once("../../../common/define.php");

if(!isset($_SESSION['user'])){
    header("Location: ../login.php");
    exit();
}
require_once("../../includes/fn_module.php"); 

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $id = intval($_POST['id']);
	
    $id_depot = 1 ;
    $source = "BF" ;
    $id_source = $id ;
    $type_mouvement = "ENTRÉE" ;
    $id_bee = $id ;
	
    $query_be = "SELECT qte_embal,type,product FROM pm_bf WHERE id = ".$id;
    $result_be = @$db->query($query_be);
  echo $query_be."<br>";  
    if ($result_be !== false) {
        $row_be = $result_be->fetch();
        $qte = $row_be['qte_embal'];
        $type = $row_be['type'];
        $id_produit = $row_be['product'];
        if($type == "Local"){
            $id_depot = 1 ;
        }else{
            $id_depot = 3 ;
        }
    }	

    // Enregistrer le mouvement dans la table pm_mouvement_stock
    $insert_query = "INSERT INTO pm_mouvement_stock_pf 
        (id_depot, id_produits, qte, source, id_bf, id_source, type_mouvement, status, validate_date, validate_user) 
        VALUES ('".$id_depot."', '".$id_produit."', '".$qte."', '".$source."', '".$id_bee."', '".$id_source."', '".$type_mouvement."', 1, ".time().", '".$_SESSION['user']['id']."')";
    @$db->query($insert_query);
		
    // Réduction du stock du dépôt (si nécessaire)
    // $update_source_query = "
        // UPDATE pm_depot_stock_pf 
        // SET qte = qte - ".$qte." 
        // WHERE id_depot = ".$id_depot." 
          // AND id_produits = ".$id_produit." 
          // AND ref_id = ".$id_bee;
    // @$db->query($update_source_query);

    // Vérifier si la ligne existe déjà
$check_query = "
    SELECT id,qte 
    FROM pm_depot_stock_pf 
    WHERE id_depot = '".$id_depot."' 
      AND id_produits = '".$id_produit."'";
	  
echo $check_query."<br>";
// $check_result = @$db->query($check_query);
// $row = $check_result->fetch();

$existe = 0;
    $result_codes = @$db->query($check_query);

    if ($result_codes !== false) {
        foreach ($result_codes as $row) {
			$old_qte = $row['qte'];
			$existe = $row['id'];
		}
	}	



if ($existe > 0) {
    // Si existe déjà → récupérer l’ancienne qte
    
    $new_qte = $old_qte + $qte;
	echo $old_qte." + ".$qte."<br>";
    $update_dest_query = "
        UPDATE pm_depot_stock_pf
        SET qte = ".$new_qte."
        WHERE id_depot = '".$id_depot."' 
          AND id_produits = '".$id_produit."'" ;

} else {
    // Sinon → faire un INSERT
    $update_dest_query = "
        INSERT INTO pm_depot_stock_pf (id_depot, id_produits, qte) 
        VALUES ('".$id_depot."', '".$id_produit."', '".$qte."');";
}

// Exécution
@$db->query($update_dest_query);


    // Mise à jour du BF
    $update_dest_query1 = "UPDATE pm_bf SET status_inventaire = '1' WHERE id = ".$id.";";
    @$db->query($update_dest_query1);
	
	echo $update_dest_query1."<br>";
}
?>
